apiVersion: gateway.envoyproxy.io/v1alpha1
kind: EnvoyProxy
metadata:
  name: envoy-daemon-proxy
  namespace: envoy-gateway-system
spec:
  provider:
    type: Kubernetes
    kubernetes:
      envoyDaemonSet:
        pod:
#          annotations:
#            prometheus.io/scrape: "true"
#            prometheus.io/port: "19001"
        container:
          resources:
            requests:
              cpu: 100m
              memory: 256Mi
            limits:
              memory: 1024Mi
      envoyService:
        type: LoadBalancer
        externalTrafficPolicy: Cluster
